import { AbstractFile } from "./AbstractFile";
import { AbstractStream } from "./AbstractStream";
import { OpenWriteOptions, Source, WriteStream } from "./core";
export declare abstract class AbstractWriteStream extends AbstractStream implements WriteStream {
    protected readonly options: OpenWriteOptions;
    private afterPost?;
    private afterPut?;
    protected changed: boolean;
    constructor(file: AbstractFile, options: OpenWriteOptions);
    close(): Promise<void>;
    truncate(size: number): Promise<void>;
    write(src: Source): Promise<number>;
    abstract _close(): Promise<void>;
    abstract _truncate(size: number): Promise<void>;
    abstract _write(value: Source): Promise<number>;
}
//# sourceMappingURL=AbstractWriteStream.d.ts.map