import { Converter } from "univ-conv";
import { AbstractFile } from "./AbstractFile";
import { OpenOptions, SeekOrigin, Stream } from "./core";
export declare abstract class AbstractStream implements Stream {
    protected file: AbstractFile;
    protected readonly bufferSize: number;
    converter: Converter;
    position: number;
    constructor(file: AbstractFile, options: OpenOptions);
    seek(offset: number, origin: SeekOrigin): Promise<void>;
    abstract close(): Promise<void>;
    protected abstract _seek(start: number): Promise<void>;
}
//# sourceMappingURL=AbstractStream.d.ts.map